-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: pathos
Binary: python3-pathos, python-pathos-doc
Architecture: all
Version: 0.3.2-2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Homepage: https://github.com/uqfoundation/pathos
Description: Framework for heterogeneous parallel computing
 Pathos provides a consistent high-level interface for configuring and
 launching parallel computations across heterogeneous resources.  It
 provides configurable launchers for parallel and distributed
 computing, where each launcher contains the syntactic logic to
 configure and launch jobs in an execution environment.  Examples of
 launchers include: "pyina", a queue-less MPI-based launcher;
 "pathos", an ssh-based launcher; "multiprocess", a multi-process
 launcher.
 .
 It provides a consistent interface for parallel and/or distributed
 versions of "map" and "apply" for each launcher; the guiding design
 principle is that "map" and "apply" should be drop-in replacements in
 otherwise serial code, reducing the time to conver a code to
 parallel, but also enabling a single code-base to be maintained
 instead of requiring serial, parallel and distributed versions of
 code.
 .
 The "pathos" framework consists of several interoperating packages:
  * "dill": serialize all of Python (python3-dill)
  * "pox": utilities for filesystem exploration and automated builds
    (python3-pox)
  * "klepto": persistent caching to memory, disk, or database
    (python3-klepto)
  * "multiprocess": better multiprocessing and multithreading in Python
    (python3-multiprocess)
  * "ppft": distributed and parallel Python (python3-ppft)
  * "pyina": MPI parallel "map" and cluster scheduling (python3-pyina)
  * "pathos": graph management and execution in heterogeneous computing
    (python3-pathos)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/pathos
Vcs-Git: https://salsa.debian.org/python-team/packages/pathos.git
Testsuite: autopkgtest
Testsuite-Triggers: python3-all
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-dill (>= 0.3.8), python3-multiprocess (>= 0.70.16), python3-pox (>= 0.3.4), python3-ppft (>= 1.7.6.8), python3-setuptools, python3-sphinx <!nodoc>, python3-sphinx-notfound-page <!nodoc>, python3-sphinx-rtd-theme <!nodoc>
Package-List:
 python-pathos-doc deb doc optional arch=all profile=!nodoc
 python3-pathos deb python optional arch=all
Checksums-Sha1:
 28fcbd465c6c079c780c8b63690bb9b102805bdc 153287 pathos_0.3.2.orig.tar.gz
 ea25602fed4420a1e3065fad0924c8cd09ff6fd6 4508 pathos_0.3.2-2.debian.tar.xz
Checksums-Sha256:
 cb24ec2cf19bd5a6a2ca1a257438abf9c5df2fed6b4789770bef20bf86051d4c 153287 pathos_0.3.2.orig.tar.gz
 268dfdc3ff7f4c2a5d1f44c1be1a2afc613a4f1371fb65478eb9677fb35e8750 4508 pathos_0.3.2-2.debian.tar.xz
Files:
 c439d1253876a89f53fd2a0362bdb225 153287 pathos_0.3.2.orig.tar.gz
 81346ddffb60ed69211c96fc460df144 4508 pathos_0.3.2-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEi3hoeGwz5cZMTQpICBa54Yx2K60FAmap9y0ACgkQCBa54Yx2
K63t+A/7B+x/rQ6dkKWMZ1SRJS+DOzuNHCMpGQks1q9IAvIYU6o5Qpvt4d8IlEir
3MMyOo5Nr6v2PhvguFEQluWhU8xMce0lhw4D0LH+rRS4t6uiDofQR0p2bU4H48VY
sJs7siTb3iBE3v22wTc3NUcgC8XxVBJegX+AIvrWh5HXvgMWy95Nnn4Uorswi83W
2IpOkyQT/rpySnnFJ4xc3om8PevlPcusmdHrd/53wmrA2PQQQnWBiHYHtQfLbDca
sSg/Hvvcr/QpilaBBRbUYNqAwR9JmzU7ug0nuLMZJRr8fyoeto/mWuX45QhY3173
4eYHc7M3RYE+v+8UX73PDkREZ6V93ChW85UgVn7KC1S2vES3MdgYnrZ7ADkJFbpD
ljeFoDNnQtUef7UJEKe9iwC2VB8z3xNPEFSLbKC7txlr3Vk5FsO/4XxiToOXFos5
d+li/5LxmQ6k+Lp79vMoFZ8L633fEiguC2MgJEMS+K34qfhKzPwcJhGiIysa5LtP
1qOjzJPPBwOyvabJ0lvQ84qXTvG7TYn6f2hksgxgRVyE40MJO1YDaphut+grJdFw
NHcv7loJlX3yEKAZp1HzP+Kcmmcv1YuwMPqXQa+1vUFhZpZaL2+c2fPd7bBnemrQ
QIrL6TK/vBio9DOkE2cRT6G8Aj0RlryGuQG1ZU7MOJlRTfzanX4=
=PaUu
-----END PGP SIGNATURE-----
